# Panel

## propTypes

```
Panel.propTypes = {
    children: PropTypes.node,
    contentHeight: PropTypes.oneOfType([
        PropTypes.string,
        PropTypes.number
    ]),
    expanded: PropTypes.bool,
    id: PropTypes.string,
    onToggle: PropTypes.func,
    subClass: PropTypes.string,
    title: PropTypes.string,
    width: PropTypes.oneOfType([
        PropTypes.string,
        PropTypes.number
    ])
};
```

## defaultProps

```
Panel.defaultProps = {
    children: (<div>children</div>),
    contentHeight: 250,
    expanded: true,
    id: `tsdevPanel-${Uuid.v4()}`,
    onToggle: noop,
    subClass: '',
    title: 'Panel',
    width: 500
};
```
## Functions
```
onToggle(item) => {
    console.log(item) // { expanded, id }
};

```